Bug 73680 - Can't drag & drop in 'View as List' mode
Can't drag & drop in 'View as List' mode
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: nautilus (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-08 15:13 EDT by John J. Germs
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-08 16:00:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John J. Germs 2002-09-08 15:13:20 EDT
Description of Problem:
Can't drag & drop files, etc. in 'View as List' mode

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
Grabbing a file from the desktop and releasing it within a window that is set as
'View as List' the only action that takes place is the animation of the file
returning to the desktop.
OR
Trying to grab a file from a window that is set as 'View as List' only results
in the highlighting of the file.

Expected Results:
To be similar to the action that takes place when 'View as Icons' is selected.
Also it will be neccessary to be able to drop the file between two folders so
that it will be dropped in the main window and not a folder.
ie.) The ability to drop a file into free/empty space in 'View as List' mode.

Additional Information:
I have also mentioned the lack of 'free/empty space' for certain functions in
Bug#: 73679
Comment 1 John J. Germs 2002-09-08 16:00:08 EDT
After upgrading to Nautilus 2.0.6-1 drag and drop is possible in 'View as List'
to a certain degree. It is still not possible to drop a file to the main window
between folders. (ie. Having many Folders and Files in one window and sorting
the window with Folders at the top results in having to scroll to the bottom of
the window to drop the file)
Comment 2 Havoc Pennington 2002-10-01 14:22:59 EDT
Remaining issue moved to http://bugzilla.gnome.org/show_bug.cgi?id=94619

Closing on Red Hat level.

Note You need to log in before you can comment on or make changes to this bug.